array of points and Spline

Hi,

I need to introduce some points to make a Spline with GeomAPI_PointsToBSpline, I think I misundestood TCOlgp_Array1OfPnt, because I thought it was an arrangement of points, but like all you know It isn't. Maybe somebody has a code that could help me. Mine is something like this

...
GeomAPI_PointsToBSpline Spline = GeomAPI_PointsToBSpline(array);
Handle(Geom_BSplineCurve) Curve = GeomAPI.Curve();
TopoDS_Edge aEdge3 = BRepBuilderAPI_MakeEdge(Curve);
...

Thank you very much.

Rob Bachrach's picture

I'm not sure I understand your problem. A TColgp_Array1OfPnt is a 1 dimensional array of points. If you run the Geometry sample that comes with OCC, you can find code for building a BSpline.
See the ninth icon from the left in the second row.

BTW. I assume your second line should have Spline.Curve();